/*
 Serial Subinterface definition
*/

#ifndef GSUBIF_H
#define GSUBIF_H

#include <string>
#include "GIface.h"

class GSubif: public virtual GIface
{
 private:
  std::string mSubifID;
 
 protected:
  virtual void setType();
    
 public:
  GSubif() : mSubifID("") {}
  GSubif(const GSubif& m); 
  std::string getSubifID() const {return mSubifID;}
  std::string getMainIfID();
  virtual void parsSerSection(std::string& rline);
  static std::string getMainIfIDfromIfaceline(std::string iftype,std::string IfaceIDline);
  static ContrType getMapType(std::string str);
};

#endif
