/**
 * @file
 * @brief declaration for the portinfo xml export class for channel-group
 * @author Miroslav Kubelik
 * @date 2007
 */

#ifndef PORTINFO_CISCOCHNGR_H
#define PORTINFO_CISCOCHNGR_H

/* necessary declaration for a class definition */
#include "xmlParser/xmlParser.h"

/* forward declaration - for pointers and references */
class Changrp;

namespace Portinfo
{
 class CiscoChngr
 {
  private:
   XMLNode mSpXMLNode;

  public:
   //constructor
   CiscoChngr();
   XMLNode getXMLnode(const Changrp& rChangrp);
   //destructor
   virtual ~CiscoChngr() {}; 
 }; 
};

#endif
