/**
 * @file
 * @brief declaration for the portinfo xml export class for the E3 controller
 * @author Miroslav Kubelik
 * @date 2007
 */

#ifndef PORTINFO_CISCOE3CONTR_H
#define PORTINFO_CISCOE3CONTR_H

/* necessary declaration for a class definition */
#include "xmlParser/xmlParser.h"

/* forward declaration - for pointers and references */
class E3Controller;

namespace Portinfo
{
 class CiscoE3Contr
 {
  private:
   XMLNode mSpXMLNode;

  public:
   //constructor
   CiscoE3Contr();
   XMLNode getXMLnode(const E3Controller& rE3contr);
   virtual ~CiscoE3Contr() {};
 }; 
};

#endif
