/**
 * @file
 * @brief declaration for the portinfo xml export class for the Sonet controller
 * @author Miroslav Kubelik
 * @date 2007
 */

#ifndef PORTINFO_CISCOSONETCONTR_H
#define PORTINFO_CISCOSONETCONTR_H

/* necessary declaration for a class definition */
#include "xmlParser/xmlParser.h"

/* forward declaration - for pointers and references */
class SonetController;

namespace Portinfo
{
 class CiscoSonetContr
 {
  private:
   XMLNode mSpXMLNode;

  public:
   //constructor
   CiscoSonetContr();
   XMLNode getXMLnode(const SonetController& rSonetContr);
   virtual ~CiscoSonetContr() {};
 }; 
};

#endif
