/**
 * @file
 * @brief channel group class tests
 * @author Miroslav Kubelk
 * @date Jul 2007
 */

/* autoheader config */
#include "../src/config.h"

//STDC++ and STL Headers
#include <iostream>

//C and local headers
#include "ciscoconf/Changrp.h"

//global variables

//function prototypes

/** MAIN entry point*/
int main(int argc, char *argv[])
{
 Changrp chanGr(0,"3-16,4,17-19");
 std::cout << "whole range: " << chanGr.getTSrange() << std::endl;
 unsigned int usedTs=chanGr.getUsedTSCount();
 std::cout << "used timeslots: " << usedTs;
 if (usedTs == 18) std::cout << " OK" << std::endl;
 else {
  std::cout << " FALSE" << std::endl;
  exit(EXIT_FAILURE);
 }

 exit(EXIT_SUCCESS);
}
