<?php
/**
* Implementation of the channel group Transfer Object
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/

/**
* Class for the channel group Transfer Object
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/
class ChannelGroupTO
{
 /**
  * id
  * @var int
  */
 public $id;

 /**
  * timeslots range
  * @var string
  */
 public $tsRange;

 /**
  * the serial interface identifier for a bound serial interface
  * @var string
  */
 public $serialIfId;

 /**
  * description
  * @var string
  */
 public $descr;

 /**
  * ip address
  * @var string
  */
 public $ipAddr;

#END CLASS
}
