<?php
/**
 * Implementation of the E1 controller transfer object
 * 
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * E1 controller transfer object.
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
class E1ContrTO extends DeviceContrTO
{
 /**
  * clock source
  * @var string
  */
 public $clock;

 /**
  * CRC4 framing
  * @var string
  */
 public $framing;
 
#END CLASS
}
