<?php
/**
 * Implementation of the Sonet device controller XML DAO class
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * Sonet device controller XML DAO class
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
class SonetContrXMLDao extends DeviceContrXMLDao
{
//==============================================================================
/**
 * Gets all sub E1 controllers XML elements from the one Sonet controller element.
 * @param SimpleXMLElement $e3XmlElement the XML element for one Sonet controller.
 * @return SimpleXMLElement
 */
public static function getSubE1ControllersXML(SimpleXMLElement $sonetXmlElement)
{
 return $sonetXmlElement->controller;
}

#END CLASS
}
