<?php
/**
 * test for the DeviceContr class
 */
require_once("testenv.php");

echo "testing DeviceContr\n";
$obj=new DeviceContr();
getSetTest($obj);
setFromSimpleXMLTest($obj);

//==============================================================================
function getSetTest(DeviceContr $obj)
{
 echo "get/set test\n";

 //getter, setter test
 $obj->Name="TestName";
 $obj->Description="TestDescription";
 assert('$obj->Name=="TestName" && $obj->Description=="TestDescription"');

 $exceptionCatch = false;
 try {
  $obj->hata;
 } catch (InvalidArgumentException $e) {
  $exceptionCatch=true;
 }
 assert('$exceptionCatch');

 echo "OK\n";
 return true;
}

//==============================================================================
function setFromSimpleXMLTest(DeviceContr $obj)
{
 echo "setFromSimpleXML test\n";
 $xmlStr = <<<XML
<?xml version='1.0' standalone='yes'?>
 <controller id="2/0" description="Test Description" clock="internal" framing="crc4" />
XML;
 
 $xml = new SimpleXMLElement($xmlStr);
 $obj->setFromSimpleXML($xml);
 
 assert('$obj->Name=="2/0" && $obj->Description=="Test Description"');

 echo "OK\n";
 return true;
}

