<?php
/*
 set necessary environment for the test
*/
error_reporting(E_ALL | E_STRICT);
ini_set('display_errors','On');
//set assertation
assert_options(ASSERT_ACTIVE, 1);
assert_options(ASSERT_BAIL, 1);

//path to Zend framework
set_include_path(get_include_path().PATH_SEPARATOR.
"C:/wamp/apache/htdocs/zendframework/library");

//only one require_once for main Zend library
require_once("Zend/Loader.php");

//main application directory
$mainAppDir="..";

//autoload for classes
function __autoload($classname)
{
 Zend_Loader::loadClass($classname);
}

//add include path to controller,model, viewhelper directories
set_include_path(get_include_path() . PATH_SEPARATOR
 . $mainAppDir . "/models" . PATH_SEPARATOR
 . $mainAppDir . "/controllers" . PATH_SEPARATOR
 . $mainAppDir . "/views"
);


