<?php
/**
 * Application bootstrap
 *
 * Creates application object and calls its run method, nice and simple.
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

//set error levels and reporting
error_reporting(E_ALL | E_STRICT);
ini_set('display_errors','On');

/**
 * application class
 */
require_once ("..". DIRECTORY_SEPARATOR ."app". DIRECTORY_SEPARATOR . "NdevInfo.php");

NdevInfo::createApp()->run();
