/**
 * @file
 * @ingroup Programs
 * @brief module with the RRD functions for portinfo exports - definition
 * @author Miroslav Kubelk
 * @date 2007
 */

#ifndef PORTINFORRD_H
#define PORTINFORRD_H

/* necessary declaration for class definition */
#include <string>

/* forward declaration - for pointers and references */
class SyncSummary;

/* functions prototypes */
void createRRD(const std::string& fileName);
void updateRRD(const std::string& fileName,const SyncSummary& sum);
void createGraphRRD(const std::string& exportName,const std::string& mediaDir);

#endif
