/**
 * @file
 * @ingroup Programs
 * @brief portinfo XML export for cisco devices - definitions
 * @author Miroslav Kubelk
 * @date 2007
 */

#ifndef PORTINFOEXP_H
#define PORTINFOEXP_H

/* necessary declaration for class definition */

/* forward declaration - for pointers and references */

/* functions prototypes */

/** @brief helper structure for the device object
 *
 * It is something like value/transfer object, maybe a better place for a declaring
 * this class is a CiscoBox class header, but first sense for a using this class was
 * was discovered when I refactored portinfoexp main code.
 */
struct DeviceValObj
{
  std::string id;
  std::string ipAddr;
  /** @brief empty constructor */
  DeviceValObj():id(""),ipAddr("") {}
};
   
#endif
