<?php
/**
* Implementation of the summary base Transfer Object
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/

/**
* class for the summary base Transfer Object
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/
class BaseSumTO
{
 /**
  * a number of all items
  * @var int
  */
 public $summary;

 /**
  * a number of used items
  * @var int
  */
 public $used;

 /**
  * a number of free items
  * @var int
  */
 public $free;

 /**
  * the utilization, a ratio of used and all items
  * @var int
  */
 public $_utilization;

#END CLASS
}
