<?php
/**
* Implementation of the cisco device Transfer Object
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/

/**
* class for the cisco device Transfer Object
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/
class CiscoDeviceTO
{
 /**
  * device ID e.g. router1
  * @var string
  */
 public $id;

 /**
  * device ip address e.g. router1.ispName.net
  * @var string
  */
 public $ipAddr;

 /**
  * A date when a device report has been created.
  * @var DateTime object
  */
 public $reportCreateDate;

#END CLASS
}
