<?php
/**
* Implementation of the device group Transfer Object.
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/

/**
* Class for the device group Transfer Object.
*
* @package ndevinfo
* @author Miroslav Kubelik (koubel@volny.cz)
* @copyright Copyright (c) 2007 Miroslav Kubelik
* @license http://opensource.org/licenses/gpl-license.php GNU GPL
*/
class DeviceGroupTO
{
 /**
  * group name
  * @var string
  */
 public $name;

 /**
  * the name for the XML group report
  * @var string
  */
 public $reportName;

 /**
  * A date when a report has been created.
  * @var DateTime object
  */
 public $reportCreateDate;
 
#END CLASS
}
