<?php
/**
 * Implementation of the E3 device controller XML DAO class
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * E3 device controller XML DAO class
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
class E3ContrXMLDao extends DeviceContrXMLDao
{
//==============================================================================
/**
 * Gets all sub E1 controllers XML elements from the one E3 controller element.
 * @param SimpleXMLElement $e3XmlElement the XML element for one E3 controller.
 * @return SimpleXMLElement
 */
public static function getSubE1ControllersXML(SimpleXMLElement $e3XmlElement)
{
 return $e3XmlElement->controller;
}

#END CLASS
}
