<?php
/**
 * Implementation of a helper which renders summary table.
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * Helper which renders summary.
 *
 * @package ndevinfo
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
class NdevInfo_View_Helper_Summary
{
//==============================================================================
/**
 * Gets XHTML for the summary as <table>.
 *
 * @return string corresponding XHTML markup
 */
public function summary(SyncSum $summary)
{
 $view=ViewFactory::getDefaultAppView();

 //e1 summary
 $view->e1Summary=$summary->E1Summary;
 //e3 summary
 $view->e3Summary=$summary->E3Summary;
 //sonet summary
 $view->sonetSummary=$summary->SonetSummary;
 //whole sync summary
 $view->wholeSyncSummary=$summary->WholeSyncSummary;

 return $view->render("summaryTable.phtml");
}

#END CLASS
}
