#!/bin/perl -w
#
#replaces some strings in the source files
#
use strict;
#use Data::Dumper;

open( FILES, "find ./ -name *php |" ) or die "cannot open find process: $!";
while (<FILES>) {
 chop $_;
 open(ONEFILE,$_);
 my $tempFile=$_.".tmp";
 open(TEMPFILE,">$tempFile") or die "cannot write to temp file $tempFile: $!";
 while (my $line=<ONEFILE>) {
  $line=&replaceLicenselink($line);
  $line=&replaceKoubelEmail($line);
  print TEMPFILE $line;
 }
 close TEMPFILE;
 close ONEFILE;
 `mv $tempFile $_`;
}
exit(0);


#===============================================================================
#replace "http://opensource.org/licenses/bsd-license.php new BSD license"
#for http://opensource.org/licenses/gpl-license.php GNU GPL
sub replaceLicenselink() {
 my ( $line ) = @_;
 my $oldLicStr="http://opensource.org/licenses/bsd-license.php new BSD license";
 my $newLicStr="http://opensource.org/licenses/gpl-license.php GNU GPL";
 $line =~ s/$oldLicStr/$newLicStr/;
 return $line;
}

#===============================================================================
#replace "koubel@seznam.cz" with "koubel@volny.cz"
sub replaceKoubelEmail() {
 my ( $line ) = @_;
 my $oldLicStr="koubel\@seznam.cz";
 my $newLicStr="koubel\@volny.cz";
 $line =~ s/$oldLicStr/$newLicStr/;
 return $line;
}
